import { StiAlgorithmExpression } from "../../system/enums";
import StiJson from "../../system/StiJson";
export declare class StiCalculationAlgorithm {
    expression: StiAlgorithmExpression;
    rowIndex?: number;
    columntIndex?: number;
    value?: number;
    constructor(expression?: StiAlgorithmExpression, rowIndex?: number, columntIndex?: number, value?: number);
    saveToJsonObject(options: any): StiJson;
    loadFromJsonObject(json: StiJson): void;
}
